Author Topic: 5D II, Cannot update from 1.3.3 to 2.1.2 fails  (Read 811 times)

z-x

  • Just arrived
  • *
  • Posts: 1
5D II, Cannot update from 1.3.3 to 2.1.2 fails
« on: August 07, 2016, 09:48:51 PM »
Hello,
I am trying to update Canon's 5D Mark II firmware from 1.3.3 to 2.1.2. When I try to do that from a card (everything according to the instructions, it worked before with previous updates) it says that it cannot find a file on the card. When I try to do it from EOS utility it says that the file is not appropriate for my camera. The file is the one from official Canon webpage.

What's going on here, would you have any ideas?